package pps.core.base.service.data.base_price_strategy_detail;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 明细
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePriceStrategyDetailOutput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("市电峰谷配置ID")
    private String strategyId;

    @XText("市电峰谷月")
    private Integer strategyMonth;

    @XText("时段类型key(字典获取)")
    private String periodTypeKey;

    @XText("开始时间")
    private Date startTime;

    @XText("结束时间")
    private Date endTime;

    @XText("电价")
    private BigDecimal electrovalence;

    @XText("内部结算价")
    private BigDecimal internalSettlementPrice;
}
