package pps.core.base.service.data.base_diesel_generator;

import xstartup.annotation.XText;
import java.util.Date;
import java.math.BigDecimal;

public class CreateBaseDieselGeneratorInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是;1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    private String unitTypeKey;

    @XText("常用功率(KW)")
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    private BigDecimal standbyPower;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceName(String value) {
        this.deviceName = value;
    }

    public String getMakerNumber() {
        return this.makerNumber;
    }

    public void setMakerNumber(String value) {
        this.makerNumber = value;
    }

    public String getUnitTypeKey() {
        return this.unitTypeKey;
    }

    public void setUnitTypeKey(String value) {
        this.unitTypeKey = value;
    }

    public BigDecimal getNormalPower() {
        return this.normalPower;
    }

    public void setNormalPower(BigDecimal value) {
        this.normalPower = value;
    }

    public BigDecimal getStandbyPower() {
        return this.standbyPower;
    }

    public void setStandbyPower(BigDecimal value) {
        this.standbyPower = value;
    }

}
